/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by 
 *  Björnsen Beratende Ingenieure GmbH 
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.client.client.ui.sinfo;

import java.util.ArrayList;
import java.util.List;

import org.dive4elements.river.client.client.FLYSConstants;
import org.dive4elements.river.client.client.ui.AbstractPairRecommendationPanel.IValidator;

import com.smartgwt.client.widgets.grid.ListGrid;
import com.smartgwt.client.widgets.grid.ListGridRecord;

/**
 * Contains the old code from the validate-method of the DatacageTwinPanel.
 *  
 * @author Gernot Belger
 */
final class FlowDepthTwinPanelValidator implements IValidator {

	@Override
	public List<String> validate(final ListGrid differencesList, final FLYSConstants msgProvider) {

        final List<String> errors = new ArrayList<String>();
        if (differencesList.getRecords().length == 0) {
        	// FIXME: waterlevel dependent! This will lead to a bad error message in English, for M-Info/Bed-Differences calculation
            errors.add(msgProvider.sinfo_flowdepth_twinpanel_no_pair_selected());
        }

        return errors;
	}
}